Qt 5.13 | Qt WebEngine | QML Types | WebEngineClientCertificateOption QML Type

Qt 5.13.2 Reference Documentation

# WebEngineClientCertificateOption QML Type

Represents a client certificate option. More...

Import Statement: | import QtWebEngine 1.9
Since: | QtWebEngine 1.9

- List of all members, including inherited members

## Properties

- effectiveDate : datetime
- expiryDate : datetime
- isSelfSigned : bool
- issuer : string
- subject : string

## Methods

- void select()

## Detailed Description

See also WebEngineClientCertificateSelection.certificates.

## Property Documentation

effectiveDate : datetime

The date and time when the certificate becomes valid.

expiryDate : datetime

The date and time when the certificate becomes invalid.

isSelfSigned : bool

Whether the certificate is only self-signed.

issuer : string

The issuer of the certificate.

subject : string

The subject of the certificate.

## Method Documentation

void select()

Selects this client certificate option.